<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
		<button class="btn btn-info btn-sm" style=" float: right; margin-left: 10px;" data-toggle="modal"  data-target="#ModalcargarArchivo"><i class="fas fa-cloud-upload-alt " *ngxPermissionsOnly="'descuentos_upload'" ></i> Subir Descuentos</button>
	</div>
	<div class="card-body">
		<div class="card">
			<div class="card-body" style=" padding: 9px !important">
				<form  (ngSubmit)="onConsulta()" [formGroup]="consultaForm">
					<div class="row">
		      			<div class="col-md-4">
		      				<label for="recipient-name" class="col-form-label">Sedes:</label>
		      				<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.sede_id.invalid && (submitted || f.sede_id.touched))"> El campo es requerido</label>
			        		<ng-select placeholder='-- Sedes --'  formControlName="sede_id" [items]="sedes" bindLabel="name" bindValue="id"> </ng-select>
				        </div>
				        <div class="col-md-3">
			        		<label for="recipient-name" class="col-form-label">Fecha de Inicio:</label>
			        		<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.fecha_inicio.invalid && (submitted || f.fecha_inicio.touched))"> El campo es requerido</label>
		        			<input type="date" class="form-control" formControlName="fecha_inicio" name="date_inicio" >
				        </div>
				        <div class="col-md-3"> 
			        		<label for="recipient-name" class="col-form-label">Fecha de Fin:</label>
			        		<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.fecha_fin.invalid && (submitted || f.fecha_fin.touched))"> El campo es requerido</label>
		        			<input type="date" class="form-control" formControlName="fecha_fin" name="date_fin" >
				        </div>
				        <div class="col-md-2">
			        		<button *ngxPermissionsOnly="'descuentos_consultar'" class="btn btn-primary btn-sm" autofocus style="margin-left: 40px; margin-top: 35px;"><i class="fas fa-search"></i> Consultar</button>
				        </div>
			        </div>
				</form>
			</div>
		</div>
		<div class="table-responsive" style="margin-top: 20px;">
			<div id="detalleConsulta" style="display: none;">
				<ag-grid-angular style="width: 100%; height: 300px;" class="ag-theme-balham" [gridOptions]="gridOptions">
    			</ag-grid-angular>
    			<button class="btn btn-success btn-sm" style="float: right; margin-top: 10px;" (click)="OnGuardarDatos()">Guardar</button>
			</div>
			
		</div>
	</div>
</div>
<div class="modal fade" id="ModalcargarArchivo" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document" style=" width: 50% !important; max-width: 90%; ">
    <div class="modal-content" >
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Cargar Descuentos</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="fileForm" (ngSubmit)="onEnviarArchivo()">
	      <div class="modal-body">
	      	<div class="container-fluid">
	      		<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Fecha Inicio:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(g.fecha_inicio.invalid && (btnSubir || g.fecha_inicio.touched))"> El campo es requerido</label>
	        			<input type="date" class="form-control" name="fecha_inicio" formControlName="fecha_inicio" [ngClass]="{ 'is-invalid': g.fecha_inicio.errors && (g.fecha_inicio.touched || btnSubir), 'is-valid': g.fecha_inicio.touched && !g.fecha_inicio.errors}"> 
		            </div>
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Fecha Fin:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(g.fecha_fin.invalid && (btnSubir || g.fecha_fin.touched))"> El campo es requerido</label>
	        			<input type="date" class="form-control" name="fecha_fin" formControlName="fecha_fin" [ngClass]="{ 'is-invalid': g.fecha_fin.errors && (g.fecha_fin.touched || btnSubir), 'is-valid': g.fecha_fin.touched && !g.fecha_fin.errors}"> 
		            </div>
	        	</div>
	        	<div class="row">
	        		<div class="col-md-12"> 
	        			<label for="recipient-name" class="col-form-label">Archivo Descuento: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(g.file.invalid && (btnSubir || g.file.touched))"> El campo es requerido</label>
	        			<input type="file" class="btn btn-info form-control-file" id="result_file" name="excel" formControlName="file" (change)="ChangeCargarArchivo($event)" [ngClass]="{ 'is-invalid': g.file.errors && (g.file.touched || btnSubir), 'is-valid': g.file.touched && !g.file.errors}">
		            </div>  
	        	</div>  
	    	</div> 
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrarModal" data-dismiss="modal">Cerrar</button>
	        <button type="submit" class="btn btn-success" >Enviar</button> 
	      </div>
      </form>
    </div>
  </div>
</div>